Bug 985403 - No way to turn off inane Fedora 19 screen saver
No way to turn off inane Fedora 19 screen saver
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 08:16 EDT by Jonathan Kamens
Modified: 2016-01-13 12:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:54:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2013-07-17 08:16:09 EDT
Here's what I want, and what I had in Fedora 18: When I am idle for five minutes, my screens turn off. When I hit any key on the keyboard or move my mouse, they turn back on.

Here's what I don't want: When I am idle for five minutes, GNOME turns off my screen AND puts up an inane screen saver which can only be deactivated by hitting Enter (i.e., other keys and the mouse don't make it go away).

This new behavior is markedly worse than the old. I can find no way to turn it off and get back the old behavior. Yuck.
Comment 1 Fedora End Of Life 2015-01-09 13:58:04 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Jonathan Kamens 2015-01-11 16:34:36 EST
Still broken in Fedora 21, though perhaps by now I should give up hope of this particular bit of brokenness ever being fixed, because the folks who created it have decided it's the "right" behavior despite negative feedback about it, the fact that it's less convenient than the previous behavior, and the fact that it would be relatively easy to make the previous behavior an option?
Comment 3 Fedora Admin XMLRPC Client 2015-07-14 13:30:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Yaakov Selkowitz 2015-10-21 12:23:25 EDT
Screen locking is no longer implemented by gnome-screensaver in recent versions of GNOME.  Reassigning.
Comment 5 Fedora End Of Life 2015-11-04 05:04:47 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-12-01 21:54:04 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jonathan Kamens 2015-12-28 19:58:51 EST
Still broken in Fedora 23.

There is a workaround:

https://extensions.gnome.org/extension/672/disable-screen-shield/

Though the guy who maintains it isn't good about updating the metadata to indicate support for newer gnome-shell releases, so you have to download the files from the github repository, edit the metadata.json by hand to reflect the F23 version of gnome-shell, and then copy the files into a directory called ~/.local/share/gnome-shell/extensions/disable-screenshield@lgpasquale.com .

Not going to reopen this ticket since it's clear that the GNOME and Fedora maintainers are never going to do anything about this, but at least if anyone else stumbles across this ticket they will find this comment and know that there is a (mediocre) workaround.
Comment 8 Florian Müllner 2016-01-13 12:58:25 EST
(In reply to Jonathan Kamens from comment #7)
> Though the guy who maintains it isn't good about updating the metadata to
> indicate support for newer gnome-shell releases

If that is the only issue, you can bypass version checks with:
$ gsettings set org.gnome.shell disable-extension-version-validation true

Note You need to log in before you can comment on or make changes to this bug.